unit frmMain;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  frmKanban;

type
  Tfrm_Main = class(TWebForm)
    WebLabel1: TWebLabel;

    procedure WebLabel1Click(Sender: TObject);

  private
    { Private-Deklarationen }
    procedure LaunchContentForm(pxInstanceClass : TFormClass;
                                pbForce         : Boolean = False);
  public
    { Public-Deklarationen }
  end;

var
  frm_Main: Tfrm_Main;

implementation

{$R *.dfm}

procedure Tfrm_Main.WebLabel1Click(Sender: TObject);
begin
  LaunchContentForm(Tfrm_Kanban, False);
end;

procedure Tfrm_Main.LaunchContentForm(pxInstanceClass : TFormClass;
                                      pbForce         : Boolean = False);

  procedure Local_ContentFormCreated(AForm: TObject);
  begin
    (AForm as TForm).Show;
  end;

var
  lxForm : TForm;
begin
  if not Assigned(Application.ActiveForm) or (Uppercase(Application.ActiveForm.ClassName) <> Uppercase(pxInstanceClass.ClassName)) or pbForce then
  begin
    Application.CreateForm(pxInstanceClass, 'contentform', lxForm, @Local_ContentFormCreated);
  end;
end;

end.